<?php
include 'osvobdoch_vars.php';
include 'osvobdoch_local_vars.php';
clearstatcache();
$fileaccess = filemtime('at_school.txt');
//check if file is accessed today
if (date('Y-m-d', $fileaccess) != date('Y-m-d')) {
    $at_school = array();
}
else {
    $at_school = include 'at_school.txt';
}
if (empty($at_school)) {
    $at_school = array();
}
$metoda = "POST";
$cesta = "/api/dochazka/v2/pruchody";
# cas  "2016-09-30 11:54:12.637";
date_default_timezone_set('Europe/Prague');
$cas= date("Y-m-d H:i:s"); 
$data = $metoda ."+".$cesta . "+" . $cas . "+" . $apiheslo;
$hash = hash_hmac("sha1", $data, $key, $raw_output=false);
$auth = $apiuser . ":" . $hash;
//echo $url.$cesta."\n";
//echo $cas."\n";

$postdata = file_get_contents("php://input");
$pozadavek = json_decode($postdata);
//check if student is already at school
//if not, add him to the list
if ($pozadavek->direction == "P") {
  if(  !isset($at_school[$pozadavek->id])) {
    $at_school[$pozadavek->id] = $pozadavek->name;
  } else {
    echo $pozadavek->name." už je ve škole";
    return;
    }
}  else {
  //if student is already at school, remove him from the list
  if( isset($at_school[$pozadavek->id])) {
     unset($at_school[$pozadavek->id]);
  } else {
    echo $pozadavek->name." není ve škole";
    return;
  }
}


$pruchod = array(
    "PkUzivatel" => $pozadavek->id,
    "TypUzivatele" => "P",
    "Datum" => date("Y-m-d"),
    "Cas" => date("H:i:s"),
    "Smer" => $pozadavek->direction,
    "Hlavni" => $pozadavek->main,
    "BranaId" => "ENTRANCE",
    "CteckaId" => "CAM1"
//    "Poznamka" => ""
);
$payload = json_encode($pruchod);
echo $pozadavek->name;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url.$cesta);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    "com.edookit.Time: ".$cas,
    "com.edookit.Auth: ".$auth,
    "com.edookit.Client: ".$id,
    "Content-Type: application/json"
));
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
$result = curl_exec($ch);
$info = curl_getinfo($ch);
file_put_contents('at_school.txt',  '<?php return ' . var_export($at_school, true) . ';');
if ($info["http_code"] == 201) {
    echo " (Edookit OK)";
} else {
    echo " (Edookit chyba". $info["http_code"].")";
}
?>
