!#/bin/bash
cat students.json | jq -c  '.Zaci[]| select(.AktivniEvidence == true) |{id: .PkZak, name: .Jmeno, surname: .Prijmeni }' | while read line; do
    id=$(echo $line | jq -r '.id')
    name=$(echo $line | jq -r '.name')
    surname=$(echo $line | jq -r '.surname')
    echo "Processing $name $surname "
    qrencode -o "qrcodes/$id.png" "$line"
    convert -size 1000x640 xc:white templates/background.png -geometry 500x460+0+200 -composite templates/logo.png -geometry 420x100+40+40  -composite -background transparent -fill black -size 420x240 -font templates/Quicksand-VariableFont_wght.ttf caption:"$name\n$surname" -geometry +40+220 -composite qrcodes/$id.png -geometry 420x420+540+140 -composite "cards/$name-$surname.png"
done
